Update organisation profile (limited)
curl --request PATCH \
--url https://assess.praxicraft.com/api/v1/public/org/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corporation",
"notify_on_candidate_completion": true
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/org/"
payload = {
"name": "Acme Corporation",
"notify_on_candidate_completion": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corporation', notify_on_candidate_completion: true})
};
fetch('https://assess.praxicraft.com/api/v1/public/org/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/org/';
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corporation', notify_on_candidate_completion: true})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/org/"
payload := strings.NewReader("{\n \"name\": \"Acme Corporation\",\n \"notify_on_candidate_completion\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"name": "Acme Corp",
"slug": "acme-corp",
"plan": "starter",
"squads_enabled": true,
"invite_limit": 100,
"invites_used": 42,
"invites_remaining": 58,
"meta": {
"plan": "starter",
"invite_limit": 100,
"invites_used": 42,
"invites_remaining": 58
}
}Public API — Organisation
Update organisation profile (limited)
Required scope:
organisation:write
Allowlisted fields only: name, notify_on_candidate_completion. Org-global (not Live/Test scoped). Rejects unknown fields with 400. Requires organisation:write.
PATCH
/
api
/
v1
/
public
/
org
/
Update organisation profile (limited)
curl --request PATCH \
--url https://assess.praxicraft.com/api/v1/public/org/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corporation",
"notify_on_candidate_completion": true
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/org/"
payload = {
"name": "Acme Corporation",
"notify_on_candidate_completion": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corporation', notify_on_candidate_completion: true})
};
fetch('https://assess.praxicraft.com/api/v1/public/org/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/org/';
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corporation', notify_on_candidate_completion: true})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/org/"
payload := strings.NewReader("{\n \"name\": \"Acme Corporation\",\n \"notify_on_candidate_completion\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"name": "Acme Corp",
"slug": "acme-corp",
"plan": "starter",
"squads_enabled": true,
"invite_limit": 100,
"invites_used": 42,
"invites_remaining": 58,
"meta": {
"plan": "starter",
"invite_limit": 100,
"invites_used": 42,
"invites_remaining": 58
}
}Authorizations
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Last modified on September 5, 2026